Bug 88563 - Verify gdm exists before finally setting default runlevel to 5
Verify gdm exists before finally setting default runlevel to 5
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-10 18:21 EDT by J. J. Ramsey
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:37:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description J. J. Ramsey 2003-04-10 18:21:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
In the XFree86 config portion of the Red Hat 8.0 install, there was a button to
press to test whether the monitor config was correct, and a pair of radio
buttons where one could choose whether or not to start X at boot-up. In Red Hat
9, this is gone.

Worse, even if gdm and xdm were not installed, Red Hat 9 still sets the default
to 5.
Comment 1 Michael Fulbright 2003-04-11 11:52:02 EDT
For certain install choices, such as Personal Desktop, we have removed the 
graphical login option.   The 'Custom' install choice will provide all these
selections.

The 'Test' button was causing significantly more problems than it solved so it
was removed.  We rarely get reports that the default X configuration file did
not work.
Comment 2 J. J. Ramsey 2003-04-11 12:36:38 EDT
"For certain install choices, such as Personal Desktop, we have removed the 
graphical login option."

However, you forgot to force the installation of gdm or xdm when you did that.
As a result, it is possible to have Red Hat boot at runlevel 5 yet have no
display manager to execute at that runlevel. If you are going to shield the user
from a text login, you ought to shield a user from breaking the graphical login.
Comment 3 Michael Fulbright 2003-05-12 17:17:51 EDT
I will add a note to have the code verify the existance of a graphical login
manager before writing out a default runlevel of 5.
Comment 4 Michael Fulbright 2003-08-12 16:54:34 EDT
I think I have a fix for this in our development tree.
Comment 5 J. J. Ramsey 2003-11-16 10:27:14 EST
This bug has reared its head again in Fedora Core 1. After a text
based "custom" install where xdm and gdm were unselected, Fedora
*still* booted to runlevel 5 and tried to start X.
Comment 6 Jeremy Katz 2006-04-24 14:37:16 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.